> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuwinda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Groups

> Returns all whatsapp groups from the whatsapp accounts



## OpenAPI

````yaml GET /messaging/whatsapp/accounts/groups
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.zuwinda.com/v2
security:
  - ZuwindaToken: []
paths:
  /messaging/whatsapp/accounts/groups:
    get:
      description: Returns all whatsapp groups from the whatsapp accounts
      parameters: []
      responses:
        '200':
          description: whatsapp groups response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGroupWhatsappAccounts'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetGroupWhatsappAccounts:
      required:
        - data
      type: object
      properties:
        data:
          type: object
          properties:
            responseCode:
              type: string
              example: '00'
            groups:
              type: array
              items:
                type: object
                properties:
                  GroupId:
                    type: boolean
                    example: '123123123'
                  OwnerJid:
                    type: string
                    example: '628151122333'
                  Name:
                    type: string
                    example: Zuwinda Group
    Error:
      required:
        - data
      type: object
      properties:
        data:
          type: object
          properties:
            responseCode:
              type: integer
              format: int64
            message:
              type: string
  securitySchemes:
    ZuwindaToken:
      type: apiKey
      in: header
      name: X-Access-Key
      description: Your Zuwinda API token

````